// This table provides an intercept and slope for the fraction
// The fraction is assumed offset by 0.5. (log(0) is a special case)
// input is indx, and outputs are base and slope
module table2(indx,base,slope);
input [10:0] indx;
output [31:0] base;
output [23:0] slope;
reg [23:0] _base,_slope;
assign base=_base;
assign slope=_slope;
reg [31:0] _base0;
reg [23:0] _slope0;
reg [31:0] _base1;
reg [23:0] _slope1;
reg [31:0] _base2;
reg [23:0] _slope2;
reg [31:0] _base3;
reg [23:0] _slope3;
reg [31:0] _base4;
reg [23:0] _slope4;
reg [31:0] _base5;
reg [23:0] _slope5;
reg [31:0] _base6;
reg [23:0] _slope6;
reg [31:0] _base7;
reg [23:0] _slope7;
reg [31:0] _base8;
reg [23:0] _slope8;
reg [31:0] _base9;
reg [23:0] _slope9;
reg [31:0] _base10;
reg [23:0] _slope10;
reg [31:0] _base11;
reg [23:0] _slope11;
reg [31:0] _base12;
reg [23:0] _slope12;
reg [31:0] _base13;
reg [23:0] _slope13;
reg [31:0] _base14;
reg [23:0] _slope14;
reg [31:0] _base15;
reg [23:0] _slope15;

always @(*) begin

    case(indx[5:0])
      0: begin _base0=32'h4d104d; _slope0=24'h1bc8; end //0
      1: begin _base0=32'h4cf485; _slope0=24'h1bc1; end //1
      2: begin _base0=32'h4cd8c4; _slope0=24'h1bba; end //2
      3: begin _base0=32'h4cbd0a; _slope0=24'h1bb4; end //3
      4: begin _base0=32'h4ca156; _slope0=24'h1bac; end //4
      5: begin _base0=32'h4c85aa; _slope0=24'h1ba6; end //5
      6: begin _base0=32'h4c6a04; _slope0=24'h1b9e; end //6
      7: begin _base0=32'h4c4e66; _slope0=24'h1b98; end //7
      8: begin _base0=32'h4c32ce; _slope0=24'h1b91; end //8
      9: begin _base0=32'h4c173d; _slope0=24'h1b8a; end //9
      10: begin _base0=32'h4bfbb3; _slope0=24'h1b83; end //a
      11: begin _base0=32'h4be030; _slope0=24'h1b7d; end //b
      12: begin _base0=32'h4bc4b3; _slope0=24'h1b75; end //c
      13: begin _base0=32'h4ba93e; _slope0=24'h1b6f; end //d
      14: begin _base0=32'h4b8dcf; _slope0=24'h1b68; end //e
      15: begin _base0=32'h4b7267; _slope0=24'h1b62; end //f
      16: begin _base0=32'h4b5705; _slope0=24'h1b5a; end //10
      17: begin _base0=32'h4b3bab; _slope0=24'h1b54; end //11
      18: begin _base0=32'h4b2057; _slope0=24'h1b4d; end //12
      19: begin _base0=32'h4b050a; _slope0=24'h1b47; end //13
      20: begin _base0=32'h4ae9c3; _slope0=24'h1b40; end //14
      21: begin _base0=32'h4ace83; _slope0=24'h1b39; end //15
      22: begin _base0=32'h4ab34a; _slope0=24'h1b32; end //16
      23: begin _base0=32'h4a9818; _slope0=24'h1b2c; end //17
      24: begin _base0=32'h4a7cec; _slope0=24'h1b25; end //18
      25: begin _base0=32'h4a61c7; _slope0=24'h1b1f; end //19
      26: begin _base0=32'h4a46a8; _slope0=24'h1b18; end //1a
      27: begin _base0=32'h4a2b90; _slope0=24'h1b11; end //1b
      28: begin _base0=32'h4a107f; _slope0=24'h1b0b; end //1c
      29: begin _base0=32'h49f574; _slope0=24'h1b05; end //1d
      30: begin _base0=32'h49da6f; _slope0=24'h1afd; end //1e
      31: begin _base0=32'h49bf72; _slope0=24'h1af7; end //1f
      32: begin _base0=32'h49a47b; _slope0=24'h1af1; end //20
      33: begin _base0=32'h49898a; _slope0=24'h1aea; end //21
      34: begin _base0=32'h496ea0; _slope0=24'h1ae4; end //22
      35: begin _base0=32'h4953bc; _slope0=24'h1add; end //23
      36: begin _base0=32'h4938df; _slope0=24'h1ad6; end //24
      37: begin _base0=32'h491e09; _slope0=24'h1ad0; end //25
      38: begin _base0=32'h490339; _slope0=24'h1aca; end //26
      39: begin _base0=32'h48e86f; _slope0=24'h1ac3; end //27
      40: begin _base0=32'h48cdac; _slope0=24'h1abd; end //28
      41: begin _base0=32'h48b2ef; _slope0=24'h1ab6; end //29
      42: begin _base0=32'h489839; _slope0=24'h1ab0; end //2a
      43: begin _base0=32'h487d89; _slope0=24'h1aaa; end //2b
      44: begin _base0=32'h4862df; _slope0=24'h1aa3; end //2c
      45: begin _base0=32'h48483c; _slope0=24'h1a9d; end //2d
      46: begin _base0=32'h482d9f; _slope0=24'h1a96; end //2e
      47: begin _base0=32'h481309; _slope0=24'h1a90; end //2f
      48: begin _base0=32'h47f879; _slope0=24'h1a8a; end //30
      49: begin _base0=32'h47ddef; _slope0=24'h1a83; end //31
      50: begin _base0=32'h47c36c; _slope0=24'h1a7d; end //32
      51: begin _base0=32'h47a8ef; _slope0=24'h1a77; end //33
      52: begin _base0=32'h478e78; _slope0=24'h1a70; end //34
      53: begin _base0=32'h477408; _slope0=24'h1a6b; end //35
      54: begin _base0=32'h47599d; _slope0=24'h1a64; end //36
      55: begin _base0=32'h473f39; _slope0=24'h1a5d; end //37
      56: begin _base0=32'h4724dc; _slope0=24'h1a58; end //38
      57: begin _base0=32'h470a84; _slope0=24'h1a51; end //39
      58: begin _base0=32'h46f033; _slope0=24'h1a4b; end //3a
      59: begin _base0=32'h46d5e8; _slope0=24'h1a44; end //3b
      60: begin _base0=32'h46bba4; _slope0=24'h1a3f; end //3c
      61: begin _base0=32'h46a165; _slope0=24'h1a38; end //3d
      62: begin _base0=32'h46872d; _slope0=24'h1a33; end //3e
      63: begin _base0=32'h466cfa; _slope0=24'h1a2c; end //3f
    endcase
    case(indx[5:0])
      0: begin _base1=32'h4652ce; _slope1=24'h1a25; end //40
      1: begin _base1=32'h4638a9; _slope1=24'h1a20; end //41
      2: begin _base1=32'h461e89; _slope1=24'h1a1a; end //42
      3: begin _base1=32'h46046f; _slope1=24'h1a13; end //43
      4: begin _base1=32'h45ea5c; _slope1=24'h1a0d; end //44
      5: begin _base1=32'h45d04f; _slope1=24'h1a08; end //45
      6: begin _base1=32'h45b647; _slope1=24'h1a01; end //46
      7: begin _base1=32'h459c46; _slope1=24'h19fb; end //47
      8: begin _base1=32'h45824b; _slope1=24'h19f5; end //48
      9: begin _base1=32'h456856; _slope1=24'h19ef; end //49
      10: begin _base1=32'h454e67; _slope1=24'h19e9; end //4a
      11: begin _base1=32'h45347e; _slope1=24'h19e3; end //4b
      12: begin _base1=32'h451a9b; _slope1=24'h19dd; end //4c
      13: begin _base1=32'h4500be; _slope1=24'h19d6; end //4d
      14: begin _base1=32'h44e6e8; _slope1=24'h19d1; end //4e
      15: begin _base1=32'h44cd17; _slope1=24'h19cb; end //4f
      16: begin _base1=32'h44b34c; _slope1=24'h19c5; end //50
      17: begin _base1=32'h449987; _slope1=24'h19bf; end //51
      18: begin _base1=32'h447fc8; _slope1=24'h19b9; end //52
      19: begin _base1=32'h44660f; _slope1=24'h19b3; end //53
      20: begin _base1=32'h444c5c; _slope1=24'h19ad; end //54
      21: begin _base1=32'h4432af; _slope1=24'h19a7; end //55
      22: begin _base1=32'h441908; _slope1=24'h19a1; end //56
      23: begin _base1=32'h43ff67; _slope1=24'h199c; end //57
      24: begin _base1=32'h43e5cb; _slope1=24'h1995; end //58
      25: begin _base1=32'h43cc36; _slope1=24'h1990; end //59
      26: begin _base1=32'h43b2a6; _slope1=24'h1989; end //5a
      27: begin _base1=32'h43991d; _slope1=24'h1984; end //5b
      28: begin _base1=32'h437f99; _slope1=24'h197e; end //5c
      29: begin _base1=32'h43661b; _slope1=24'h1978; end //5d
      30: begin _base1=32'h434ca3; _slope1=24'h1973; end //5e
      31: begin _base1=32'h433330; _slope1=24'h196c; end //5f
      32: begin _base1=32'h4319c4; _slope1=24'h1967; end //60
      33: begin _base1=32'h43005d; _slope1=24'h1961; end //61
      34: begin _base1=32'h42e6fc; _slope1=24'h195b; end //62
      35: begin _base1=32'h42cda1; _slope1=24'h1955; end //63
      36: begin _base1=32'h42b44c; _slope1=24'h1950; end //64
      37: begin _base1=32'h429afc; _slope1=24'h1949; end //65
      38: begin _base1=32'h4281b3; _slope1=24'h1944; end //66
      39: begin _base1=32'h42686f; _slope1=24'h193f; end //67
      40: begin _base1=32'h424f30; _slope1=24'h1938; end //68
      41: begin _base1=32'h4235f8; _slope1=24'h1933; end //69
      42: begin _base1=32'h421cc5; _slope1=24'h192d; end //6a
      43: begin _base1=32'h420398; _slope1=24'h1928; end //6b
      44: begin _base1=32'h41ea70; _slope1=24'h1922; end //6c
      45: begin _base1=32'h41d14e; _slope1=24'h191c; end //6d
      46: begin _base1=32'h41b832; _slope1=24'h1916; end //6e
      47: begin _base1=32'h419f1c; _slope1=24'h1911; end //6f
      48: begin _base1=32'h41860b; _slope1=24'h190b; end //70
      49: begin _base1=32'h416d00; _slope1=24'h1906; end //71
      50: begin _base1=32'h4153fa; _slope1=24'h18ff; end //72
      51: begin _base1=32'h413afb; _slope1=24'h18fb; end //73
      52: begin _base1=32'h412200; _slope1=24'h18f4; end //74
      53: begin _base1=32'h41090c; _slope1=24'h18ef; end //75
      54: begin _base1=32'h40f01d; _slope1=24'h18ea; end //76
      55: begin _base1=32'h40d733; _slope1=24'h18e4; end //77
      56: begin _base1=32'h40be4f; _slope1=24'h18de; end //78
      57: begin _base1=32'h40a571; _slope1=24'h18d9; end //79
      58: begin _base1=32'h408c98; _slope1=24'h18d3; end //7a
      59: begin _base1=32'h4073c5; _slope1=24'h18ce; end //7b
      60: begin _base1=32'h405af7; _slope1=24'h18c8; end //7c
      61: begin _base1=32'h40422f; _slope1=24'h18c2; end //7d
      62: begin _base1=32'h40296d; _slope1=24'h18be; end //7e
      63: begin _base1=32'h4010af; _slope1=24'h18b7; end //7f
    endcase
    case(indx[5:0])
      0: begin _base2=32'h3ff7f8; _slope2=24'h18b2; end //80
      1: begin _base2=32'h3fdf46; _slope2=24'h18ad; end //81
      2: begin _base2=32'h3fc699; _slope2=24'h18a7; end //82
      3: begin _base2=32'h3fadf2; _slope2=24'h18a2; end //83
      4: begin _base2=32'h3f9550; _slope2=24'h189c; end //84
      5: begin _base2=32'h3f7cb4; _slope2=24'h1897; end //85
      6: begin _base2=32'h3f641d; _slope2=24'h1891; end //86
      7: begin _base2=32'h3f4b8c; _slope2=24'h188c; end //87
      8: begin _base2=32'h3f3300; _slope2=24'h1887; end //88
      9: begin _base2=32'h3f1a79; _slope2=24'h1881; end //89
      10: begin _base2=32'h3f01f8; _slope2=24'h187c; end //8a
      11: begin _base2=32'h3ee97c; _slope2=24'h1876; end //8b
      12: begin _base2=32'h3ed106; _slope2=24'h1871; end //8c
      13: begin _base2=32'h3eb895; _slope2=24'h186c; end //8d
      14: begin _base2=32'h3ea029; _slope2=24'h1866; end //8e
      15: begin _base2=32'h3e87c3; _slope2=24'h1861; end //8f
      16: begin _base2=32'h3e6f62; _slope2=24'h185b; end //90
      17: begin _base2=32'h3e5707; _slope2=24'h1857; end //91
      18: begin _base2=32'h3e3eb0; _slope2=24'h1850; end //92
      19: begin _base2=32'h3e2660; _slope2=24'h184c; end //93
      20: begin _base2=32'h3e0e14; _slope2=24'h1846; end //94
      21: begin _base2=32'h3df5ce; _slope2=24'h1841; end //95
      22: begin _base2=32'h3ddd8d; _slope2=24'h183c; end //96
      23: begin _base2=32'h3dc551; _slope2=24'h1836; end //97
      24: begin _base2=32'h3dad1b; _slope2=24'h1832; end //98
      25: begin _base2=32'h3d94e9; _slope2=24'h182c; end //99
      26: begin _base2=32'h3d7cbd; _slope2=24'h1826; end //9a
      27: begin _base2=32'h3d6497; _slope2=24'h1822; end //9b
      28: begin _base2=32'h3d4c75; _slope2=24'h181c; end //9c
      29: begin _base2=32'h3d3459; _slope2=24'h1817; end //9d
      30: begin _base2=32'h3d1c42; _slope2=24'h1811; end //9e
      31: begin _base2=32'h3d0431; _slope2=24'h180d; end //9f
      32: begin _base2=32'h3cec24; _slope2=24'h1807; end //a0
      33: begin _base2=32'h3cd41d; _slope2=24'h1802; end //a1
      34: begin _base2=32'h3cbc1b; _slope2=24'h17fd; end //a2
      35: begin _base2=32'h3ca41e; _slope2=24'h17f8; end //a3
      36: begin _base2=32'h3c8c26; _slope2=24'h17f3; end //a4
      37: begin _base2=32'h3c7433; _slope2=24'h17ed; end //a5
      38: begin _base2=32'h3c5c46; _slope2=24'h17e9; end //a6
      39: begin _base2=32'h3c445d; _slope2=24'h17e3; end //a7
      40: begin _base2=32'h3c2c7a; _slope2=24'h17de; end //a8
      41: begin _base2=32'h3c149c; _slope2=24'h17d9; end //a9
      42: begin _base2=32'h3bfcc3; _slope2=24'h17d4; end //aa
      43: begin _base2=32'h3be4ef; _slope2=24'h17ce; end //ab
      44: begin _base2=32'h3bcd21; _slope2=24'h17ca; end //ac
      45: begin _base2=32'h3bb557; _slope2=24'h17c5; end //ad
      46: begin _base2=32'h3b9d92; _slope2=24'h17bf; end //ae
      47: begin _base2=32'h3b85d3; _slope2=24'h17bb; end //af
      48: begin _base2=32'h3b6e18; _slope2=24'h17b5; end //b0
      49: begin _base2=32'h3b5663; _slope2=24'h17b0; end //b1
      50: begin _base2=32'h3b3eb3; _slope2=24'h17ab; end //b2
      51: begin _base2=32'h3b2708; _slope2=24'h17a7; end //b3
      52: begin _base2=32'h3b0f61; _slope2=24'h17a1; end //b4
      53: begin _base2=32'h3af7c0; _slope2=24'h179c; end //b5
      54: begin _base2=32'h3ae024; _slope2=24'h1797; end //b6
      55: begin _base2=32'h3ac88d; _slope2=24'h1792; end //b7
      56: begin _base2=32'h3ab0fb; _slope2=24'h178d; end //b8
      57: begin _base2=32'h3a996e; _slope2=24'h1789; end //b9
      58: begin _base2=32'h3a81e5; _slope2=24'h1783; end //ba
      59: begin _base2=32'h3a6a62; _slope2=24'h177e; end //bb
      60: begin _base2=32'h3a52e4; _slope2=24'h1779; end //bc
      61: begin _base2=32'h3a3b6b; _slope2=24'h1775; end //bd
      62: begin _base2=32'h3a23f6; _slope2=24'h176f; end //be
      63: begin _base2=32'h3a0c87; _slope2=24'h176b; end //bf
    endcase
    case(indx[5:0])
      0: begin _base3=32'h39f51c; _slope3=24'h1765; end //c0
      1: begin _base3=32'h39ddb7; _slope3=24'h1761; end //c1
      2: begin _base3=32'h39c656; _slope3=24'h175b; end //c2
      3: begin _base3=32'h39aefb; _slope3=24'h1757; end //c3
      4: begin _base3=32'h3997a4; _slope3=24'h1752; end //c4
      5: begin _base3=32'h398052; _slope3=24'h174d; end //c5
      6: begin _base3=32'h396905; _slope3=24'h1748; end //c6
      7: begin _base3=32'h3951bd; _slope3=24'h1743; end //c7
      8: begin _base3=32'h393a7a; _slope3=24'h173f; end //c8
      9: begin _base3=32'h39233b; _slope3=24'h1739; end //c9
      10: begin _base3=32'h390c02; _slope3=24'h1735; end //ca
      11: begin _base3=32'h38f4cd; _slope3=24'h1730; end //cb
      12: begin _base3=32'h38dd9d; _slope3=24'h172b; end //cc
      13: begin _base3=32'h38c672; _slope3=24'h1726; end //cd
      14: begin _base3=32'h38af4c; _slope3=24'h1721; end //ce
      15: begin _base3=32'h38982b; _slope3=24'h171d; end //cf
      16: begin _base3=32'h38810e; _slope3=24'h1718; end //d0
      17: begin _base3=32'h3869f6; _slope3=24'h1713; end //d1
      18: begin _base3=32'h3852e3; _slope3=24'h170e; end //d2
      19: begin _base3=32'h383bd5; _slope3=24'h1709; end //d3
      20: begin _base3=32'h3824cc; _slope3=24'h1705; end //d4
      21: begin _base3=32'h380dc7; _slope3=24'h1700; end //d5
      22: begin _base3=32'h37f6c7; _slope3=24'h16fb; end //d6
      23: begin _base3=32'h37dfcc; _slope3=24'h16f6; end //d7
      24: begin _base3=32'h37c8d6; _slope3=24'h16f2; end //d8
      25: begin _base3=32'h37b1e4; _slope3=24'h16ed; end //d9
      26: begin _base3=32'h379af7; _slope3=24'h16e8; end //da
      27: begin _base3=32'h37840f; _slope3=24'h16e4; end //db
      28: begin _base3=32'h376d2b; _slope3=24'h16de; end //dc
      29: begin _base3=32'h37564d; _slope3=24'h16da; end //dd
      30: begin _base3=32'h373f73; _slope3=24'h16d6; end //de
      31: begin _base3=32'h37289d; _slope3=24'h16d1; end //df
      32: begin _base3=32'h3711cc; _slope3=24'h16cc; end //e0
      33: begin _base3=32'h36fb00; _slope3=24'h16c7; end //e1
      34: begin _base3=32'h36e439; _slope3=24'h16c3; end //e2
      35: begin _base3=32'h36cd76; _slope3=24'h16be; end //e3
      36: begin _base3=32'h36b6b8; _slope3=24'h16b9; end //e4
      37: begin _base3=32'h369fff; _slope3=24'h16b5; end //e5
      38: begin _base3=32'h36894a; _slope3=24'h16b0; end //e6
      39: begin _base3=32'h36729a; _slope3=24'h16ab; end //e7
      40: begin _base3=32'h365bef; _slope3=24'h16a7; end //e8
      41: begin _base3=32'h364548; _slope3=24'h16a2; end //e9
      42: begin _base3=32'h362ea6; _slope3=24'h169e; end //ea
      43: begin _base3=32'h361808; _slope3=24'h1699; end //eb
      44: begin _base3=32'h36016f; _slope3=24'h1694; end //ec
      45: begin _base3=32'h35eadb; _slope3=24'h1690; end //ed
      46: begin _base3=32'h35d44b; _slope3=24'h168c; end //ee
      47: begin _base3=32'h35bdbf; _slope3=24'h1686; end //ef
      48: begin _base3=32'h35a739; _slope3=24'h1682; end //f0
      49: begin _base3=32'h3590b7; _slope3=24'h167e; end //f1
      50: begin _base3=32'h357a39; _slope3=24'h1679; end //f2
      51: begin _base3=32'h3563c0; _slope3=24'h1675; end //f3
      52: begin _base3=32'h354d4b; _slope3=24'h1670; end //f4
      53: begin _base3=32'h3536db; _slope3=24'h166b; end //f5
      54: begin _base3=32'h352070; _slope3=24'h1667; end //f6
      55: begin _base3=32'h350a09; _slope3=24'h1662; end //f7
      56: begin _base3=32'h34f3a7; _slope3=24'h165e; end //f8
      57: begin _base3=32'h34dd49; _slope3=24'h165a; end //f9
      58: begin _base3=32'h34c6ef; _slope3=24'h1655; end //fa
      59: begin _base3=32'h34b09a; _slope3=24'h1650; end //fb
      60: begin _base3=32'h349a4a; _slope3=24'h164c; end //fc
      61: begin _base3=32'h3483fe; _slope3=24'h1648; end //fd
      62: begin _base3=32'h346db6; _slope3=24'h1643; end //fe
      63: begin _base3=32'h345773; _slope3=24'h163e; end //ff
    endcase
    case(indx[5:0])
      0: begin _base4=32'h344135; _slope4=24'h163b; end //100
      1: begin _base4=32'h342afa; _slope4=24'h1635; end //101
      2: begin _base4=32'h3414c5; _slope4=24'h1632; end //102
      3: begin _base4=32'h33fe93; _slope4=24'h162c; end //103
      4: begin _base4=32'h33e867; _slope4=24'h1629; end //104
      5: begin _base4=32'h33d23e; _slope4=24'h1624; end //105
      6: begin _base4=32'h33bc1a; _slope4=24'h1620; end //106
      7: begin _base4=32'h33a5fa; _slope4=24'h161b; end //107
      8: begin _base4=32'h338fdf; _slope4=24'h1617; end //108
      9: begin _base4=32'h3379c8; _slope4=24'h1612; end //109
      10: begin _base4=32'h3363b6; _slope4=24'h160e; end //10a
      11: begin _base4=32'h334da8; _slope4=24'h160a; end //10b
      12: begin _base4=32'h33379e; _slope4=24'h1605; end //10c
      13: begin _base4=32'h332199; _slope4=24'h1601; end //10d
      14: begin _base4=32'h330b98; _slope4=24'h15fd; end //10e
      15: begin _base4=32'h32f59b; _slope4=24'h15f8; end //10f
      16: begin _base4=32'h32dfa3; _slope4=24'h15f4; end //110
      17: begin _base4=32'h32c9af; _slope4=24'h15f0; end //111
      18: begin _base4=32'h32b3bf; _slope4=24'h15eb; end //112
      19: begin _base4=32'h329dd4; _slope4=24'h15e7; end //113
      20: begin _base4=32'h3287ed; _slope4=24'h15e3; end //114
      21: begin _base4=32'h32720a; _slope4=24'h15de; end //115
      22: begin _base4=32'h325c2c; _slope4=24'h15da; end //116
      23: begin _base4=32'h324652; _slope4=24'h15d6; end //117
      24: begin _base4=32'h32307c; _slope4=24'h15d1; end //118
      25: begin _base4=32'h321aab; _slope4=24'h15cd; end //119
      26: begin _base4=32'h3204de; _slope4=24'h15c9; end //11a
      27: begin _base4=32'h31ef15; _slope4=24'h15c5; end //11b
      28: begin _base4=32'h31d950; _slope4=24'h15c0; end //11c
      29: begin _base4=32'h31c390; _slope4=24'h15bd; end //11d
      30: begin _base4=32'h31add3; _slope4=24'h15b7; end //11e
      31: begin _base4=32'h31981c; _slope4=24'h15b4; end //11f
      32: begin _base4=32'h318268; _slope4=24'h15af; end //120
      33: begin _base4=32'h316cb9; _slope4=24'h15ac; end //121
      34: begin _base4=32'h31570d; _slope4=24'h15a7; end //122
      35: begin _base4=32'h314166; _slope4=24'h15a2; end //123
      36: begin _base4=32'h312bc4; _slope4=24'h159f; end //124
      37: begin _base4=32'h311625; _slope4=24'h159a; end //125
      38: begin _base4=32'h31008b; _slope4=24'h1597; end //126
      39: begin _base4=32'h30eaf4; _slope4=24'h1592; end //127
      40: begin _base4=32'h30d562; _slope4=24'h158d; end //128
      41: begin _base4=32'h30bfd5; _slope4=24'h158a; end //129
      42: begin _base4=32'h30aa4b; _slope4=24'h1585; end //12a
      43: begin _base4=32'h3094c6; _slope4=24'h1582; end //12b
      44: begin _base4=32'h307f44; _slope4=24'h157d; end //12c
      45: begin _base4=32'h3069c7; _slope4=24'h1579; end //12d
      46: begin _base4=32'h30544e; _slope4=24'h1575; end //12e
      47: begin _base4=32'h303ed9; _slope4=24'h1570; end //12f
      48: begin _base4=32'h302969; _slope4=24'h156d; end //130
      49: begin _base4=32'h3013fc; _slope4=24'h1568; end //131
      50: begin _base4=32'h2ffe94; _slope4=24'h1565; end //132
      51: begin _base4=32'h2fe92f; _slope4=24'h1560; end //133
      52: begin _base4=32'h2fd3cf; _slope4=24'h155c; end //134
      53: begin _base4=32'h2fbe73; _slope4=24'h1558; end //135
      54: begin _base4=32'h2fa91b; _slope4=24'h1554; end //136
      55: begin _base4=32'h2f93c7; _slope4=24'h1550; end //137
      56: begin _base4=32'h2f7e77; _slope4=24'h154c; end //138
      57: begin _base4=32'h2f692b; _slope4=24'h1547; end //139
      58: begin _base4=32'h2f53e4; _slope4=24'h1544; end //13a
      59: begin _base4=32'h2f3ea0; _slope4=24'h153f; end //13b
      60: begin _base4=32'h2f2961; _slope4=24'h153c; end //13c
      61: begin _base4=32'h2f1425; _slope4=24'h1537; end //13d
      62: begin _base4=32'h2efeee; _slope4=24'h1534; end //13e
      63: begin _base4=32'h2ee9ba; _slope4=24'h152f; end //13f
    endcase
    case(indx[5:0])
      0: begin _base5=32'h2ed48b; _slope5=24'h152b; end //140
      1: begin _base5=32'h2ebf60; _slope5=24'h1527; end //141
      2: begin _base5=32'h2eaa39; _slope5=24'h1524; end //142
      3: begin _base5=32'h2e9515; _slope5=24'h151f; end //143
      4: begin _base5=32'h2e7ff6; _slope5=24'h151b; end //144
      5: begin _base5=32'h2e6adb; _slope5=24'h1517; end //145
      6: begin _base5=32'h2e55c4; _slope5=24'h1514; end //146
      7: begin _base5=32'h2e40b0; _slope5=24'h150f; end //147
      8: begin _base5=32'h2e2ba1; _slope5=24'h150b; end //148
      9: begin _base5=32'h2e1696; _slope5=24'h1507; end //149
      10: begin _base5=32'h2e018f; _slope5=24'h1504; end //14a
      11: begin _base5=32'h2dec8b; _slope5=24'h14ff; end //14b
      12: begin _base5=32'h2dd78c; _slope5=24'h14fb; end //14c
      13: begin _base5=32'h2dc291; _slope5=24'h14f8; end //14d
      14: begin _base5=32'h2dad99; _slope5=24'h14f3; end //14e
      15: begin _base5=32'h2d98a6; _slope5=24'h14f0; end //14f
      16: begin _base5=32'h2d83b6; _slope5=24'h14eb; end //150
      17: begin _base5=32'h2d6ecb; _slope5=24'h14e8; end //151
      18: begin _base5=32'h2d59e3; _slope5=24'h14e4; end //152
      19: begin _base5=32'h2d44ff; _slope5=24'h14df; end //153
      20: begin _base5=32'h2d3020; _slope5=24'h14dc; end //154
      21: begin _base5=32'h2d1b44; _slope5=24'h14d8; end //155
      22: begin _base5=32'h2d066c; _slope5=24'h14d4; end //156
      23: begin _base5=32'h2cf198; _slope5=24'h14d0; end //157
      24: begin _base5=32'h2cdcc8; _slope5=24'h14cd; end //158
      25: begin _base5=32'h2cc7fb; _slope5=24'h14c8; end //159
      26: begin _base5=32'h2cb333; _slope5=24'h14c5; end //15a
      27: begin _base5=32'h2c9e6e; _slope5=24'h14c0; end //15b
      28: begin _base5=32'h2c89ae; _slope5=24'h14bd; end //15c
      29: begin _base5=32'h2c74f1; _slope5=24'h14b9; end //15d
      30: begin _base5=32'h2c6038; _slope5=24'h14b5; end //15e
      31: begin _base5=32'h2c4b83; _slope5=24'h14b1; end //15f
      32: begin _base5=32'h2c36d2; _slope5=24'h14ad; end //160
      33: begin _base5=32'h2c2225; _slope5=24'h14aa; end //161
      34: begin _base5=32'h2c0d7b; _slope5=24'h14a5; end //162
      35: begin _base5=32'h2bf8d6; _slope5=24'h14a2; end //163
      36: begin _base5=32'h2be434; _slope5=24'h149e; end //164
      37: begin _base5=32'h2bcf96; _slope5=24'h149a; end //165
      38: begin _base5=32'h2bbafc; _slope5=24'h1497; end //166
      39: begin _base5=32'h2ba665; _slope5=24'h1492; end //167
      40: begin _base5=32'h2b91d3; _slope5=24'h148f; end //168
      41: begin _base5=32'h2b7d44; _slope5=24'h148b; end //169
      42: begin _base5=32'h2b68b9; _slope5=24'h1487; end //16a
      43: begin _base5=32'h2b5432; _slope5=24'h1483; end //16b
      44: begin _base5=32'h2b3faf; _slope5=24'h1480; end //16c
      45: begin _base5=32'h2b2b2f; _slope5=24'h147c; end //16d
      46: begin _base5=32'h2b16b3; _slope5=24'h1478; end //16e
      47: begin _base5=32'h2b023b; _slope5=24'h1474; end //16f
      48: begin _base5=32'h2aedc7; _slope5=24'h1471; end //170
      49: begin _base5=32'h2ad956; _slope5=24'h146c; end //171
      50: begin _base5=32'h2ac4ea; _slope5=24'h1469; end //172
      51: begin _base5=32'h2ab081; _slope5=24'h1466; end //173
      52: begin _base5=32'h2a9c1b; _slope5=24'h1461; end //174
      53: begin _base5=32'h2a87ba; _slope5=24'h145e; end //175
      54: begin _base5=32'h2a735c; _slope5=24'h145a; end //176
      55: begin _base5=32'h2a5f02; _slope5=24'h1456; end //177
      56: begin _base5=32'h2a4aac; _slope5=24'h1453; end //178
      57: begin _base5=32'h2a3659; _slope5=24'h144f; end //179
      58: begin _base5=32'h2a220a; _slope5=24'h144b; end //17a
      59: begin _base5=32'h2a0dbf; _slope5=24'h1447; end //17b
      60: begin _base5=32'h29f978; _slope5=24'h1444; end //17c
      61: begin _base5=32'h29e534; _slope5=24'h1440; end //17d
      62: begin _base5=32'h29d0f4; _slope5=24'h143d; end //17e
      63: begin _base5=32'h29bcb7; _slope5=24'h1438; end //17f
    endcase
    case(indx[5:0])
      0: begin _base6=32'h29a87f; _slope6=24'h1436; end //180
      1: begin _base6=32'h299449; _slope6=24'h1431; end //181
      2: begin _base6=32'h298018; _slope6=24'h142e; end //182
      3: begin _base6=32'h296bea; _slope6=24'h142a; end //183
      4: begin _base6=32'h2957c0; _slope6=24'h1426; end //184
      5: begin _base6=32'h29439a; _slope6=24'h1423; end //185
      6: begin _base6=32'h292f77; _slope6=24'h141f; end //186
      7: begin _base6=32'h291b58; _slope6=24'h141b; end //187
      8: begin _base6=32'h29073d; _slope6=24'h1418; end //188
      9: begin _base6=32'h28f325; _slope6=24'h1415; end //189
      10: begin _base6=32'h28df10; _slope6=24'h1410; end //18a
      11: begin _base6=32'h28cb00; _slope6=24'h140d; end //18b
      12: begin _base6=32'h28b6f3; _slope6=24'h1409; end //18c
      13: begin _base6=32'h28a2ea; _slope6=24'h1406; end //18d
      14: begin _base6=32'h288ee4; _slope6=24'h1402; end //18e
      15: begin _base6=32'h287ae2; _slope6=24'h13ff; end //18f
      16: begin _base6=32'h2866e3; _slope6=24'h13fb; end //190
      17: begin _base6=32'h2852e8; _slope6=24'h13f7; end //191
      18: begin _base6=32'h283ef1; _slope6=24'h13f4; end //192
      19: begin _base6=32'h282afd; _slope6=24'h13f0; end //193
      20: begin _base6=32'h28170d; _slope6=24'h13ed; end //194
      21: begin _base6=32'h280320; _slope6=24'h13e9; end //195
      22: begin _base6=32'h27ef37; _slope6=24'h13e5; end //196
      23: begin _base6=32'h27db52; _slope6=24'h13e2; end //197
      24: begin _base6=32'h27c770; _slope6=24'h13df; end //198
      25: begin _base6=32'h27b391; _slope6=24'h13db; end //199
      26: begin _base6=32'h279fb6; _slope6=24'h13d7; end //19a
      27: begin _base6=32'h278bdf; _slope6=24'h13d4; end //19b
      28: begin _base6=32'h27780b; _slope6=24'h13d0; end //19c
      29: begin _base6=32'h27643b; _slope6=24'h13cd; end //19d
      30: begin _base6=32'h27506e; _slope6=24'h13c9; end //19e
      31: begin _base6=32'h273ca5; _slope6=24'h13c5; end //19f
      32: begin _base6=32'h2728e0; _slope6=24'h13c3; end //1a0
      33: begin _base6=32'h27151d; _slope6=24'h13be; end //1a1
      34: begin _base6=32'h27015f; _slope6=24'h13bb; end //1a2
      35: begin _base6=32'h26eda4; _slope6=24'h13b8; end //1a3
      36: begin _base6=32'h26d9ec; _slope6=24'h13b4; end //1a4
      37: begin _base6=32'h26c638; _slope6=24'h13b1; end //1a5
      38: begin _base6=32'h26b287; _slope6=24'h13ad; end //1a6
      39: begin _base6=32'h269eda; _slope6=24'h13aa; end //1a7
      40: begin _base6=32'h268b30; _slope6=24'h13a6; end //1a8
      41: begin _base6=32'h26778a; _slope6=24'h13a2; end //1a9
      42: begin _base6=32'h2663e8; _slope6=24'h13a0; end //1aa
      43: begin _base6=32'h265048; _slope6=24'h139c; end //1ab
      44: begin _base6=32'h263cac; _slope6=24'h1398; end //1ac
      45: begin _base6=32'h262914; _slope6=24'h1395; end //1ad
      46: begin _base6=32'h26157f; _slope6=24'h1391; end //1ae
      47: begin _base6=32'h2601ee; _slope6=24'h138e; end //1af
      48: begin _base6=32'h25ee60; _slope6=24'h138b; end //1b0
      49: begin _base6=32'h25dad5; _slope6=24'h1387; end //1b1
      50: begin _base6=32'h25c74e; _slope6=24'h1384; end //1b2
      51: begin _base6=32'h25b3ca; _slope6=24'h1380; end //1b3
      52: begin _base6=32'h25a04a; _slope6=24'h137d; end //1b4
      53: begin _base6=32'h258ccd; _slope6=24'h1379; end //1b5
      54: begin _base6=32'h257954; _slope6=24'h1376; end //1b6
      55: begin _base6=32'h2565de; _slope6=24'h1373; end //1b7
      56: begin _base6=32'h25526b; _slope6=24'h136f; end //1b8
      57: begin _base6=32'h253efc; _slope6=24'h136c; end //1b9
      58: begin _base6=32'h252b90; _slope6=24'h1369; end //1ba
      59: begin _base6=32'h251827; _slope6=24'h1365; end //1bb
      60: begin _base6=32'h2504c2; _slope6=24'h1361; end //1bc
      61: begin _base6=32'h24f161; _slope6=24'h135f; end //1bd
      62: begin _base6=32'h24de02; _slope6=24'h135b; end //1be
      63: begin _base6=32'h24caa7; _slope6=24'h1357; end //1bf
    endcase
    case(indx[5:0])
      0: begin _base7=32'h24b750; _slope7=24'h1354; end //1c0
      1: begin _base7=32'h24a3fc; _slope7=24'h1351; end //1c1
      2: begin _base7=32'h2490ab; _slope7=24'h134e; end //1c2
      3: begin _base7=32'h247d5d; _slope7=24'h134a; end //1c3
      4: begin _base7=32'h246a13; _slope7=24'h1347; end //1c4
      5: begin _base7=32'h2456cc; _slope7=24'h1343; end //1c5
      6: begin _base7=32'h244389; _slope7=24'h1340; end //1c6
      7: begin _base7=32'h243049; _slope7=24'h133d; end //1c7
      8: begin _base7=32'h241d0c; _slope7=24'h133a; end //1c8
      9: begin _base7=32'h2409d2; _slope7=24'h1336; end //1c9
      10: begin _base7=32'h23f69c; _slope7=24'h1333; end //1ca
      11: begin _base7=32'h23e369; _slope7=24'h132f; end //1cb
      12: begin _base7=32'h23d03a; _slope7=24'h132c; end //1cc
      13: begin _base7=32'h23bd0e; _slope7=24'h1329; end //1cd
      14: begin _base7=32'h23a9e5; _slope7=24'h1326; end //1ce
      15: begin _base7=32'h2396bf; _slope7=24'h1322; end //1cf
      16: begin _base7=32'h23839d; _slope7=24'h131f; end //1d0
      17: begin _base7=32'h23707e; _slope7=24'h131c; end //1d1
      18: begin _base7=32'h235d62; _slope7=24'h1319; end //1d2
      19: begin _base7=32'h234a49; _slope7=24'h1315; end //1d3
      20: begin _base7=32'h233734; _slope7=24'h1312; end //1d4
      21: begin _base7=32'h232422; _slope7=24'h130e; end //1d5
      22: begin _base7=32'h231114; _slope7=24'h130c; end //1d6
      23: begin _base7=32'h22fe08; _slope7=24'h1308; end //1d7
      24: begin _base7=32'h22eb00; _slope7=24'h1305; end //1d8
      25: begin _base7=32'h22d7fb; _slope7=24'h1301; end //1d9
      26: begin _base7=32'h22c4fa; _slope7=24'h12ff; end //1da
      27: begin _base7=32'h22b1fb; _slope7=24'h12fb; end //1db
      28: begin _base7=32'h229f00; _slope7=24'h12f8; end //1dc
      29: begin _base7=32'h228c08; _slope7=24'h12f4; end //1dd
      30: begin _base7=32'h227914; _slope7=24'h12f2; end //1de
      31: begin _base7=32'h226622; _slope7=24'h12ee; end //1df
      32: begin _base7=32'h225334; _slope7=24'h12eb; end //1e0
      33: begin _base7=32'h224049; _slope7=24'h12e8; end //1e1
      34: begin _base7=32'h222d61; _slope7=24'h12e4; end //1e2
      35: begin _base7=32'h221a7d; _slope7=24'h12e1; end //1e3
      36: begin _base7=32'h22079c; _slope7=24'h12df; end //1e4
      37: begin _base7=32'h21f4bd; _slope7=24'h12db; end //1e5
      38: begin _base7=32'h21e1e2; _slope7=24'h12d7; end //1e6
      39: begin _base7=32'h21cf0b; _slope7=24'h12d5; end //1e7
      40: begin _base7=32'h21bc36; _slope7=24'h12d1; end //1e8
      41: begin _base7=32'h21a965; _slope7=24'h12ce; end //1e9
      42: begin _base7=32'h219697; _slope7=24'h12cb; end //1ea
      43: begin _base7=32'h2183cc; _slope7=24'h12c8; end //1eb
      44: begin _base7=32'h217104; _slope7=24'h12c5; end //1ec
      45: begin _base7=32'h215e3f; _slope7=24'h12c1; end //1ed
      46: begin _base7=32'h214b7e; _slope7=24'h12bf; end //1ee
      47: begin _base7=32'h2138bf; _slope7=24'h12bb; end //1ef
      48: begin _base7=32'h212604; _slope7=24'h12b8; end //1f0
      49: begin _base7=32'h21134c; _slope7=24'h12b5; end //1f1
      50: begin _base7=32'h210097; _slope7=24'h12b1; end //1f2
      51: begin _base7=32'h20ede6; _slope7=24'h12af; end //1f3
      52: begin _base7=32'h20db37; _slope7=24'h12ab; end //1f4
      53: begin _base7=32'h20c88c; _slope7=24'h12a9; end //1f5
      54: begin _base7=32'h20b5e3; _slope7=24'h12a5; end //1f6
      55: begin _base7=32'h20a33e; _slope7=24'h12a2; end //1f7
      56: begin _base7=32'h20909c; _slope7=24'h129f; end //1f8
      57: begin _base7=32'h207dfd; _slope7=24'h129c; end //1f9
      58: begin _base7=32'h206b61; _slope7=24'h1298; end //1fa
      59: begin _base7=32'h2058c9; _slope7=24'h1296; end //1fb
      60: begin _base7=32'h204633; _slope7=24'h1292; end //1fc
      61: begin _base7=32'h2033a1; _slope7=24'h1290; end //1fd
      62: begin _base7=32'h202111; _slope7=24'h128c; end //1fe
      63: begin _base7=32'h200e85; _slope7=24'h1289; end //1ff
    endcase
    case(indx[5:0])
      0: begin _base8=32'h1ffbfc; _slope8=24'h1286; end //200
      1: begin _base8=32'h1fe976; _slope8=24'h1283; end //201
      2: begin _base8=32'h1fd6f3; _slope8=24'h1280; end //202
      3: begin _base8=32'h1fc473; _slope8=24'h127d; end //203
      4: begin _base8=32'h1fb1f6; _slope8=24'h127a; end //204
      5: begin _base8=32'h1f9f7c; _slope8=24'h1277; end //205
      6: begin _base8=32'h1f8d05; _slope8=24'h1273; end //206
      7: begin _base8=32'h1f7a92; _slope8=24'h1271; end //207
      8: begin _base8=32'h1f6821; _slope8=24'h126e; end //208
      9: begin _base8=32'h1f55b3; _slope8=24'h126a; end //209
      10: begin _base8=32'h1f4349; _slope8=24'h1268; end //20a
      11: begin _base8=32'h1f30e1; _slope8=24'h1264; end //20b
      12: begin _base8=32'h1f1e7d; _slope8=24'h1261; end //20c
      13: begin _base8=32'h1f0c1c; _slope8=24'h125f; end //20d
      14: begin _base8=32'h1ef9bd; _slope8=24'h125b; end //20e
      15: begin _base8=32'h1ee762; _slope8=24'h1258; end //20f
      16: begin _base8=32'h1ed50a; _slope8=24'h1255; end //210
      17: begin _base8=32'h1ec2b5; _slope8=24'h1253; end //211
      18: begin _base8=32'h1eb062; _slope8=24'h124f; end //212
      19: begin _base8=32'h1e9e13; _slope8=24'h124c; end //213
      20: begin _base8=32'h1e8bc7; _slope8=24'h1249; end //214
      21: begin _base8=32'h1e797e; _slope8=24'h1246; end //215
      22: begin _base8=32'h1e6738; _slope8=24'h1244; end //216
      23: begin _base8=32'h1e54f4; _slope8=24'h1240; end //217
      24: begin _base8=32'h1e42b4; _slope8=24'h123d; end //218
      25: begin _base8=32'h1e3077; _slope8=24'h123a; end //219
      26: begin _base8=32'h1e1e3d; _slope8=24'h1237; end //21a
      27: begin _base8=32'h1e0c06; _slope8=24'h1235; end //21b
      28: begin _base8=32'h1df9d1; _slope8=24'h1231; end //21c
      29: begin _base8=32'h1de7a0; _slope8=24'h122e; end //21d
      30: begin _base8=32'h1dd572; _slope8=24'h122b; end //21e
      31: begin _base8=32'h1dc347; _slope8=24'h1229; end //21f
      32: begin _base8=32'h1db11e; _slope8=24'h1225; end //220
      33: begin _base8=32'h1d9ef9; _slope8=24'h1222; end //221
      34: begin _base8=32'h1d8cd7; _slope8=24'h1220; end //222
      35: begin _base8=32'h1d7ab7; _slope8=24'h121c; end //223
      36: begin _base8=32'h1d689b; _slope8=24'h121a; end //224
      37: begin _base8=32'h1d5681; _slope8=24'h1217; end //225
      38: begin _base8=32'h1d446a; _slope8=24'h1213; end //226
      39: begin _base8=32'h1d3257; _slope8=24'h1211; end //227
      40: begin _base8=32'h1d2046; _slope8=24'h120e; end //228
      41: begin _base8=32'h1d0e38; _slope8=24'h120b; end //229
      42: begin _base8=32'h1cfc2d; _slope8=24'h1207; end //22a
      43: begin _base8=32'h1cea26; _slope8=24'h1206; end //22b
      44: begin _base8=32'h1cd820; _slope8=24'h1202; end //22c
      45: begin _base8=32'h1cc61e; _slope8=24'h11ff; end //22d
      46: begin _base8=32'h1cb41f; _slope8=24'h11fc; end //22e
      47: begin _base8=32'h1ca223; _slope8=24'h11f9; end //22f
      48: begin _base8=32'h1c902a; _slope8=24'h11f7; end //230
      49: begin _base8=32'h1c7e33; _slope8=24'h11f3; end //231
      50: begin _base8=32'h1c6c40; _slope8=24'h11f1; end //232
      51: begin _base8=32'h1c5a4f; _slope8=24'h11ee; end //233
      52: begin _base8=32'h1c4861; _slope8=24'h11eb; end //234
      53: begin _base8=32'h1c3676; _slope8=24'h11e8; end //235
      54: begin _base8=32'h1c248e; _slope8=24'h11e5; end //236
      55: begin _base8=32'h1c12a9; _slope8=24'h11e2; end //237
      56: begin _base8=32'h1c00c7; _slope8=24'h11df; end //238
      57: begin _base8=32'h1beee8; _slope8=24'h11dd; end //239
      58: begin _base8=32'h1bdd0b; _slope8=24'h11d9; end //23a
      59: begin _base8=32'h1bcb32; _slope8=24'h11d7; end //23b
      60: begin _base8=32'h1bb95b; _slope8=24'h11d4; end //23c
      61: begin _base8=32'h1ba787; _slope8=24'h11d1; end //23d
      62: begin _base8=32'h1b95b6; _slope8=24'h11ce; end //23e
      63: begin _base8=32'h1b83e8; _slope8=24'h11cc; end //23f
    endcase
    case(indx[5:0])
      0: begin _base9=32'h1b721c; _slope9=24'h11c8; end //240
      1: begin _base9=32'h1b6054; _slope9=24'h11c6; end //241
      2: begin _base9=32'h1b4e8e; _slope9=24'h11c3; end //242
      3: begin _base9=32'h1b3ccb; _slope9=24'h11c0; end //243
      4: begin _base9=32'h1b2b0b; _slope9=24'h11bd; end //244
      5: begin _base9=32'h1b194e; _slope9=24'h11ba; end //245
      6: begin _base9=32'h1b0794; _slope9=24'h11b8; end //246
      7: begin _base9=32'h1af5dc; _slope9=24'h11b4; end //247
      8: begin _base9=32'h1ae428; _slope9=24'h11b2; end //248
      9: begin _base9=32'h1ad276; _slope9=24'h11af; end //249
      10: begin _base9=32'h1ac0c7; _slope9=24'h11ac; end //24a
      11: begin _base9=32'h1aaf1b; _slope9=24'h11aa; end //24b
      12: begin _base9=32'h1a9d71; _slope9=24'h11a6; end //24c
      13: begin _base9=32'h1a8bcb; _slope9=24'h11a4; end //24d
      14: begin _base9=32'h1a7a27; _slope9=24'h11a1; end //24e
      15: begin _base9=32'h1a6886; _slope9=24'h119e; end //24f
      16: begin _base9=32'h1a56e8; _slope9=24'h119c; end //250
      17: begin _base9=32'h1a454c; _slope9=24'h1198; end //251
      18: begin _base9=32'h1a33b4; _slope9=24'h1196; end //252
      19: begin _base9=32'h1a221e; _slope9=24'h1193; end //253
      20: begin _base9=32'h1a108b; _slope9=24'h1191; end //254
      21: begin _base9=32'h19fefa; _slope9=24'h118d; end //255
      22: begin _base9=32'h19ed6d; _slope9=24'h118b; end //256
      23: begin _base9=32'h19dbe2; _slope9=24'h1188; end //257
      24: begin _base9=32'h19ca5a; _slope9=24'h1185; end //258
      25: begin _base9=32'h19b8d5; _slope9=24'h1183; end //259
      26: begin _base9=32'h19a752; _slope9=24'h117f; end //25a
      27: begin _base9=32'h1995d3; _slope9=24'h117d; end //25b
      28: begin _base9=32'h198456; _slope9=24'h117a; end //25c
      29: begin _base9=32'h1972dc; _slope9=24'h1178; end //25d
      30: begin _base9=32'h196164; _slope9=24'h1175; end //25e
      31: begin _base9=32'h194fef; _slope9=24'h1172; end //25f
      32: begin _base9=32'h193e7d; _slope9=24'h116f; end //260
      33: begin _base9=32'h192d0e; _slope9=24'h116c; end //261
      34: begin _base9=32'h191ba2; _slope9=24'h116a; end //262
      35: begin _base9=32'h190a38; _slope9=24'h1167; end //263
      36: begin _base9=32'h18f8d1; _slope9=24'h1165; end //264
      37: begin _base9=32'h18e76c; _slope9=24'h1161; end //265
      38: begin _base9=32'h18d60b; _slope9=24'h115f; end //266
      39: begin _base9=32'h18c4ac; _slope9=24'h115c; end //267
      40: begin _base9=32'h18b350; _slope9=24'h115a; end //268
      41: begin _base9=32'h18a1f6; _slope9=24'h1157; end //269
      42: begin _base9=32'h18909f; _slope9=24'h1154; end //26a
      43: begin _base9=32'h187f4b; _slope9=24'h1151; end //26b
      44: begin _base9=32'h186dfa; _slope9=24'h114f; end //26c
      45: begin _base9=32'h185cab; _slope9=24'h114c; end //26d
      46: begin _base9=32'h184b5f; _slope9=24'h1149; end //26e
      47: begin _base9=32'h183a16; _slope9=24'h1147; end //26f
      48: begin _base9=32'h1828cf; _slope9=24'h1144; end //270
      49: begin _base9=32'h18178b; _slope9=24'h1141; end //271
      50: begin _base9=32'h18064a; _slope9=24'h113e; end //272
      51: begin _base9=32'h17f50c; _slope9=24'h113c; end //273
      52: begin _base9=32'h17e3d0; _slope9=24'h1139; end //274
      53: begin _base9=32'h17d297; _slope9=24'h1137; end //275
      54: begin _base9=32'h17c160; _slope9=24'h1134; end //276
      55: begin _base9=32'h17b02c; _slope9=24'h1131; end //277
      56: begin _base9=32'h179efb; _slope9=24'h112f; end //278
      57: begin _base9=32'h178dcc; _slope9=24'h112c; end //279
      58: begin _base9=32'h177ca0; _slope9=24'h1129; end //27a
      59: begin _base9=32'h176b77; _slope9=24'h1127; end //27b
      60: begin _base9=32'h175a50; _slope9=24'h1124; end //27c
      61: begin _base9=32'h17492c; _slope9=24'h1121; end //27d
      62: begin _base9=32'h17380b; _slope9=24'h111f; end //27e
      63: begin _base9=32'h1726ec; _slope9=24'h111c; end //27f
    endcase
    case(indx[5:0])
      0: begin _base10=32'h1715d0; _slope10=24'h1119; end //280
      1: begin _base10=32'h1704b7; _slope10=24'h1117; end //281
      2: begin _base10=32'h16f3a0; _slope10=24'h1114; end //282
      3: begin _base10=32'h16e28c; _slope10=24'h1112; end //283
      4: begin _base10=32'h16d17a; _slope10=24'h110f; end //284
      5: begin _base10=32'h16c06b; _slope10=24'h110c; end //285
      6: begin _base10=32'h16af5f; _slope10=24'h110a; end //286
      7: begin _base10=32'h169e55; _slope10=24'h1107; end //287
      8: begin _base10=32'h168d4e; _slope10=24'h1104; end //288
      9: begin _base10=32'h167c4a; _slope10=24'h1102; end //289
      10: begin _base10=32'h166b48; _slope10=24'h1100; end //28a
      11: begin _base10=32'h165a48; _slope10=24'h10fc; end //28b
      12: begin _base10=32'h16494c; _slope10=24'h10fa; end //28c
      13: begin _base10=32'h163852; _slope10=24'h10f8; end //28d
      14: begin _base10=32'h16275a; _slope10=24'h10f5; end //28e
      15: begin _base10=32'h161665; _slope10=24'h10f2; end //28f
      16: begin _base10=32'h160573; _slope10=24'h10f0; end //290
      17: begin _base10=32'h15f483; _slope10=24'h10ed; end //291
      18: begin _base10=32'h15e396; _slope10=24'h10eb; end //292
      19: begin _base10=32'h15d2ab; _slope10=24'h10e8; end //293
      20: begin _base10=32'h15c1c3; _slope10=24'h10e5; end //294
      21: begin _base10=32'h15b0de; _slope10=24'h10e3; end //295
      22: begin _base10=32'h159ffb; _slope10=24'h10e0; end //296
      23: begin _base10=32'h158f1b; _slope10=24'h10de; end //297
      24: begin _base10=32'h157e3d; _slope10=24'h10db; end //298
      25: begin _base10=32'h156d62; _slope10=24'h10d9; end //299
      26: begin _base10=32'h155c89; _slope10=24'h10d6; end //29a
      27: begin _base10=32'h154bb3; _slope10=24'h10d4; end //29b
      28: begin _base10=32'h153adf; _slope10=24'h10d1; end //29c
      29: begin _base10=32'h152a0e; _slope10=24'h10ce; end //29d
      30: begin _base10=32'h151940; _slope10=24'h10cc; end //29e
      31: begin _base10=32'h150874; _slope10=24'h10ca; end //29f
      32: begin _base10=32'h14f7aa; _slope10=24'h10c7; end //2a0
      33: begin _base10=32'h14e6e3; _slope10=24'h10c4; end //2a1
      34: begin _base10=32'h14d61f; _slope10=24'h10c2; end //2a2
      35: begin _base10=32'h14c55d; _slope10=24'h10bf; end //2a3
      36: begin _base10=32'h14b49e; _slope10=24'h10bd; end //2a4
      37: begin _base10=32'h14a3e1; _slope10=24'h10ba; end //2a5
      38: begin _base10=32'h149327; _slope10=24'h10b8; end //2a6
      39: begin _base10=32'h14826f; _slope10=24'h10b5; end //2a7
      40: begin _base10=32'h1471ba; _slope10=24'h10b3; end //2a8
      41: begin _base10=32'h146107; _slope10=24'h10b0; end //2a9
      42: begin _base10=32'h145057; _slope10=24'h10ae; end //2aa
      43: begin _base10=32'h143fa9; _slope10=24'h10ab; end //2ab
      44: begin _base10=32'h142efe; _slope10=24'h10a9; end //2ac
      45: begin _base10=32'h141e55; _slope10=24'h10a6; end //2ad
      46: begin _base10=32'h140daf; _slope10=24'h10a3; end //2ae
      47: begin _base10=32'h13fd0c; _slope10=24'h10a2; end //2af
      48: begin _base10=32'h13ec6a; _slope10=24'h109e; end //2b0
      49: begin _base10=32'h13dbcc; _slope10=24'h109d; end //2b1
      50: begin _base10=32'h13cb2f; _slope10=24'h1099; end //2b2
      51: begin _base10=32'h13ba96; _slope10=24'h1098; end //2b3
      52: begin _base10=32'h13a9fe; _slope10=24'h1095; end //2b4
      53: begin _base10=32'h139969; _slope10=24'h1092; end //2b5
      54: begin _base10=32'h1388d7; _slope10=24'h1090; end //2b6
      55: begin _base10=32'h137847; _slope10=24'h108d; end //2b7
      56: begin _base10=32'h1367ba; _slope10=24'h108b; end //2b8
      57: begin _base10=32'h13572f; _slope10=24'h1089; end //2b9
      58: begin _base10=32'h1346a6; _slope10=24'h1086; end //2ba
      59: begin _base10=32'h133620; _slope10=24'h1083; end //2bb
      60: begin _base10=32'h13259d; _slope10=24'h1082; end //2bc
      61: begin _base10=32'h13151b; _slope10=24'h107e; end //2bd
      62: begin _base10=32'h13049d; _slope10=24'h107c; end //2be
      63: begin _base10=32'h12f421; _slope10=24'h107a; end //2bf
    endcase
    case(indx[5:0])
      0: begin _base11=32'h12e3a7; _slope11=24'h1078; end //2c0
      1: begin _base11=32'h12d32f; _slope11=24'h1075; end //2c1
      2: begin _base11=32'h12c2ba; _slope11=24'h1072; end //2c2
      3: begin _base11=32'h12b248; _slope11=24'h1070; end //2c3
      4: begin _base11=32'h12a1d8; _slope11=24'h106e; end //2c4
      5: begin _base11=32'h12916a; _slope11=24'h106b; end //2c5
      6: begin _base11=32'h1280ff; _slope11=24'h1069; end //2c6
      7: begin _base11=32'h127096; _slope11=24'h1066; end //2c7
      8: begin _base11=32'h126030; _slope11=24'h1064; end //2c8
      9: begin _base11=32'h124fcc; _slope11=24'h1062; end //2c9
      10: begin _base11=32'h123f6a; _slope11=24'h105f; end //2ca
      11: begin _base11=32'h122f0b; _slope11=24'h105c; end //2cb
      12: begin _base11=32'h121eaf; _slope11=24'h105b; end //2cc
      13: begin _base11=32'h120e54; _slope11=24'h1058; end //2cd
      14: begin _base11=32'h11fdfc; _slope11=24'h1055; end //2ce
      15: begin _base11=32'h11eda7; _slope11=24'h1053; end //2cf
      16: begin _base11=32'h11dd54; _slope11=24'h1051; end //2d0
      17: begin _base11=32'h11cd03; _slope11=24'h104e; end //2d1
      18: begin _base11=32'h11bcb5; _slope11=24'h104c; end //2d2
      19: begin _base11=32'h11ac69; _slope11=24'h104a; end //2d3
      20: begin _base11=32'h119c1f; _slope11=24'h1047; end //2d4
      21: begin _base11=32'h118bd8; _slope11=24'h1044; end //2d5
      22: begin _base11=32'h117b94; _slope11=24'h1043; end //2d6
      23: begin _base11=32'h116b51; _slope11=24'h1040; end //2d7
      24: begin _base11=32'h115b11; _slope11=24'h103e; end //2d8
      25: begin _base11=32'h114ad3; _slope11=24'h103b; end //2d9
      26: begin _base11=32'h113a98; _slope11=24'h1039; end //2da
      27: begin _base11=32'h112a5f; _slope11=24'h1036; end //2db
      28: begin _base11=32'h111a29; _slope11=24'h1034; end //2dc
      29: begin _base11=32'h1109f5; _slope11=24'h1032; end //2dd
      30: begin _base11=32'h10f9c3; _slope11=24'h1030; end //2de
      31: begin _base11=32'h10e993; _slope11=24'h102d; end //2df
      32: begin _base11=32'h10d966; _slope11=24'h102a; end //2e0
      33: begin _base11=32'h10c93c; _slope11=24'h1029; end //2e1
      34: begin _base11=32'h10b913; _slope11=24'h1026; end //2e2
      35: begin _base11=32'h10a8ed; _slope11=24'h1024; end //2e3
      36: begin _base11=32'h1098c9; _slope11=24'h1021; end //2e4
      37: begin _base11=32'h1088a8; _slope11=24'h101f; end //2e5
      38: begin _base11=32'h107889; _slope11=24'h101d; end //2e6
      39: begin _base11=32'h10686c; _slope11=24'h101a; end //2e7
      40: begin _base11=32'h105852; _slope11=24'h1018; end //2e8
      41: begin _base11=32'h10483a; _slope11=24'h1016; end //2e9
      42: begin _base11=32'h103824; _slope11=24'h1013; end //2ea
      43: begin _base11=32'h102811; _slope11=24'h1011; end //2eb
      44: begin _base11=32'h101800; _slope11=24'h100f; end //2ec
      45: begin _base11=32'h1007f1; _slope11=24'h100c; end //2ed
      46: begin _base11=32'hff7e5; _slope11=24'h100a; end //2ee
      47: begin _base11=32'hfe7db; _slope11=24'h1008; end //2ef
      48: begin _base11=32'hfd7d3; _slope11=24'h1006; end //2f0
      49: begin _base11=32'hfc7cd; _slope11=24'h1003; end //2f1
      50: begin _base11=32'hfb7ca; _slope11=24'h1001; end //2f2
      51: begin _base11=32'hfa7c9; _slope11=24'hffe; end //2f3
      52: begin _base11=32'hf97cb; _slope11=24'hffc; end //2f4
      53: begin _base11=32'hf87cf; _slope11=24'hffa; end //2f5
      54: begin _base11=32'hf77d5; _slope11=24'hff8; end //2f6
      55: begin _base11=32'hf67dd; _slope11=24'hff5; end //2f7
      56: begin _base11=32'hf57e8; _slope11=24'hff3; end //2f8
      57: begin _base11=32'hf47f5; _slope11=24'hff1; end //2f9
      58: begin _base11=32'hf3804; _slope11=24'hfef; end //2fa
      59: begin _base11=32'hf2815; _slope11=24'hfec; end //2fb
      60: begin _base11=32'hf1829; _slope11=24'hfea; end //2fc
      61: begin _base11=32'hf083f; _slope11=24'hfe8; end //2fd
      62: begin _base11=32'hef857; _slope11=24'hfe5; end //2fe
      63: begin _base11=32'hee872; _slope11=24'hfe3; end //2ff
    endcase
    case(indx[5:0])
      0: begin _base12=32'hed88f; _slope12=24'hfe1; end //300
      1: begin _base12=32'hec8ae; _slope12=24'hfdf; end //301
      2: begin _base12=32'heb8cf; _slope12=24'hfdc; end //302
      3: begin _base12=32'hea8f3; _slope12=24'hfda; end //303
      4: begin _base12=32'he9919; _slope12=24'hfd8; end //304
      5: begin _base12=32'he8941; _slope12=24'hfd5; end //305
      6: begin _base12=32'he796c; _slope12=24'hfd4; end //306
      7: begin _base12=32'he6998; _slope12=24'hfd1; end //307
      8: begin _base12=32'he59c7; _slope12=24'hfce; end //308
      9: begin _base12=32'he49f9; _slope12=24'hfcd; end //309
      10: begin _base12=32'he3a2c; _slope12=24'hfca; end //30a
      11: begin _base12=32'he2a62; _slope12=24'hfc8; end //30b
      12: begin _base12=32'he1a9a; _slope12=24'hfc6; end //30c
      13: begin _base12=32'he0ad4; _slope12=24'hfc4; end //30d
      14: begin _base12=32'hdfb10; _slope12=24'hfc1; end //30e
      15: begin _base12=32'hdeb4f; _slope12=24'hfbf; end //30f
      16: begin _base12=32'hddb90; _slope12=24'hfbd; end //310
      17: begin _base12=32'hdcbd3; _slope12=24'hfbb; end //311
      18: begin _base12=32'hdbc18; _slope12=24'hfb8; end //312
      19: begin _base12=32'hdac60; _slope12=24'hfb6; end //313
      20: begin _base12=32'hd9caa; _slope12=24'hfb4; end //314
      21: begin _base12=32'hd8cf6; _slope12=24'hfb2; end //315
      22: begin _base12=32'hd7d44; _slope12=24'hfb0; end //316
      23: begin _base12=32'hd6d94; _slope12=24'hfad; end //317
      24: begin _base12=32'hd5de7; _slope12=24'hfab; end //318
      25: begin _base12=32'hd4e3c; _slope12=24'hfa9; end //319
      26: begin _base12=32'hd3e93; _slope12=24'hfa7; end //31a
      27: begin _base12=32'hd2eec; _slope12=24'hfa4; end //31b
      28: begin _base12=32'hd1f48; _slope12=24'hfa3; end //31c
      29: begin _base12=32'hd0fa5; _slope12=24'hfa0; end //31d
      30: begin _base12=32'hd0005; _slope12=24'hf9e; end //31e
      31: begin _base12=32'hcf067; _slope12=24'hf9c; end //31f
      32: begin _base12=32'hce0cb; _slope12=24'hf99; end //320
      33: begin _base12=32'hcd132; _slope12=24'hf98; end //321
      34: begin _base12=32'hcc19a; _slope12=24'hf95; end //322
      35: begin _base12=32'hcb205; _slope12=24'hf93; end //323
      36: begin _base12=32'hca272; _slope12=24'hf91; end //324
      37: begin _base12=32'hc92e1; _slope12=24'hf8e; end //325
      38: begin _base12=32'hc8353; _slope12=24'hf8d; end //326
      39: begin _base12=32'hc73c6; _slope12=24'hf8a; end //327
      40: begin _base12=32'hc643c; _slope12=24'hf88; end //328
      41: begin _base12=32'hc54b4; _slope12=24'hf86; end //329
      42: begin _base12=32'hc452e; _slope12=24'hf84; end //32a
      43: begin _base12=32'hc35aa; _slope12=24'hf82; end //32b
      44: begin _base12=32'hc2628; _slope12=24'hf7f; end //32c
      45: begin _base12=32'hc16a9; _slope12=24'hf7d; end //32d
      46: begin _base12=32'hc072c; _slope12=24'hf7b; end //32e
      47: begin _base12=32'hbf7b1; _slope12=24'hf79; end //32f
      48: begin _base12=32'hbe838; _slope12=24'hf77; end //330
      49: begin _base12=32'hbd8c1; _slope12=24'hf75; end //331
      50: begin _base12=32'hbc94c; _slope12=24'hf73; end //332
      51: begin _base12=32'hbb9d9; _slope12=24'hf70; end //333
      52: begin _base12=32'hbaa69; _slope12=24'hf6e; end //334
      53: begin _base12=32'hb9afb; _slope12=24'hf6c; end //335
      54: begin _base12=32'hb8b8f; _slope12=24'hf6a; end //336
      55: begin _base12=32'hb7c25; _slope12=24'hf68; end //337
      56: begin _base12=32'hb6cbd; _slope12=24'hf66; end //338
      57: begin _base12=32'hb5d57; _slope12=24'hf63; end //339
      58: begin _base12=32'hb4df4; _slope12=24'hf62; end //33a
      59: begin _base12=32'hb3e92; _slope12=24'hf5f; end //33b
      60: begin _base12=32'hb2f33; _slope12=24'hf5d; end //33c
      61: begin _base12=32'hb1fd6; _slope12=24'hf5b; end //33d
      62: begin _base12=32'hb107b; _slope12=24'hf59; end //33e
      63: begin _base12=32'hb0122; _slope12=24'hf57; end //33f
    endcase
    case(indx[5:0])
      0: begin _base13=32'haf1cb; _slope13=24'hf55; end //340
      1: begin _base13=32'hae276; _slope13=24'hf53; end //341
      2: begin _base13=32'had323; _slope13=24'hf50; end //342
      3: begin _base13=32'hac3d3; _slope13=24'hf4f; end //343
      4: begin _base13=32'hab484; _slope13=24'hf4c; end //344
      5: begin _base13=32'haa538; _slope13=24'hf4a; end //345
      6: begin _base13=32'ha95ee; _slope13=24'hf48; end //346
      7: begin _base13=32'ha86a6; _slope13=24'hf46; end //347
      8: begin _base13=32'ha7760; _slope13=24'hf44; end //348
      9: begin _base13=32'ha681c; _slope13=24'hf42; end //349
      10: begin _base13=32'ha58da; _slope13=24'hf3f; end //34a
      11: begin _base13=32'ha499b; _slope13=24'hf3e; end //34b
      12: begin _base13=32'ha3a5d; _slope13=24'hf3c; end //34c
      13: begin _base13=32'ha2b21; _slope13=24'hf39; end //34d
      14: begin _base13=32'ha1be8; _slope13=24'hf37; end //34e
      15: begin _base13=32'ha0cb1; _slope13=24'hf36; end //34f
      16: begin _base13=32'h9fd7b; _slope13=24'hf33; end //350
      17: begin _base13=32'h9ee48; _slope13=24'hf31; end //351
      18: begin _base13=32'h9df17; _slope13=24'hf2f; end //352
      19: begin _base13=32'h9cfe8; _slope13=24'hf2d; end //353
      20: begin _base13=32'h9c0bb; _slope13=24'hf2b; end //354
      21: begin _base13=32'h9b190; _slope13=24'hf29; end //355
      22: begin _base13=32'h9a267; _slope13=24'hf26; end //356
      23: begin _base13=32'h99341; _slope13=24'hf25; end //357
      24: begin _base13=32'h9841c; _slope13=24'hf23; end //358
      25: begin _base13=32'h974f9; _slope13=24'hf20; end //359
      26: begin _base13=32'h965d9; _slope13=24'hf1f; end //35a
      27: begin _base13=32'h956ba; _slope13=24'hf1c; end //35b
      28: begin _base13=32'h9479e; _slope13=24'hf1b; end //35c
      29: begin _base13=32'h93883; _slope13=24'hf18; end //35d
      30: begin _base13=32'h9296b; _slope13=24'hf16; end //35e
      31: begin _base13=32'h91a55; _slope13=24'hf15; end //35f
      32: begin _base13=32'h90b40; _slope13=24'hf12; end //360
      33: begin _base13=32'h8fc2e; _slope13=24'hf10; end //361
      34: begin _base13=32'h8ed1e; _slope13=24'hf0e; end //362
      35: begin _base13=32'h8de10; _slope13=24'hf0c; end //363
      36: begin _base13=32'h8cf04; _slope13=24'hf0a; end //364
      37: begin _base13=32'h8bffa; _slope13=24'hf08; end //365
      38: begin _base13=32'h8b0f2; _slope13=24'hf06; end //366
      39: begin _base13=32'h8a1ec; _slope13=24'hf04; end //367
      40: begin _base13=32'h892e8; _slope13=24'hf02; end //368
      41: begin _base13=32'h883e6; _slope13=24'hf00; end //369
      42: begin _base13=32'h874e6; _slope13=24'hefe; end //36a
      43: begin _base13=32'h865e8; _slope13=24'hefc; end //36b
      44: begin _base13=32'h856ec; _slope13=24'hefa; end //36c
      45: begin _base13=32'h847f2; _slope13=24'hef8; end //36d
      46: begin _base13=32'h838fa; _slope13=24'hef6; end //36e
      47: begin _base13=32'h82a04; _slope13=24'hef3; end //36f
      48: begin _base13=32'h81b11; _slope13=24'hef2; end //370
      49: begin _base13=32'h80c1f; _slope13=24'hef0; end //371
      50: begin _base13=32'h7fd2f; _slope13=24'heee; end //372
      51: begin _base13=32'h7ee41; _slope13=24'heec; end //373
      52: begin _base13=32'h7df55; _slope13=24'hee9; end //374
      53: begin _base13=32'h7d06c; _slope13=24'hee8; end //375
      54: begin _base13=32'h7c184; _slope13=24'hee6; end //376
      55: begin _base13=32'h7b29e; _slope13=24'hee4; end //377
      56: begin _base13=32'h7a3ba; _slope13=24'hee2; end //378
      57: begin _base13=32'h794d8; _slope13=24'hedf; end //379
      58: begin _base13=32'h785f9; _slope13=24'hede; end //37a
      59: begin _base13=32'h7771b; _slope13=24'hedc; end //37b
      60: begin _base13=32'h7683f; _slope13=24'heda; end //37c
      61: begin _base13=32'h75965; _slope13=24'hed8; end //37d
      62: begin _base13=32'h74a8d; _slope13=24'hed6; end //37e
      63: begin _base13=32'h73bb7; _slope13=24'hed4; end //37f
    endcase
    case(indx[5:0])
      0: begin _base14=32'h72ce3; _slope14=24'hed1; end //380
      1: begin _base14=32'h71e12; _slope14=24'hed0; end //381
      2: begin _base14=32'h70f42; _slope14=24'hece; end //382
      3: begin _base14=32'h70074; _slope14=24'hecc; end //383
      4: begin _base14=32'h6f1a8; _slope14=24'hecb; end //384
      5: begin _base14=32'h6e2dd; _slope14=24'hec8; end //385
      6: begin _base14=32'h6d415; _slope14=24'hec6; end //386
      7: begin _base14=32'h6c54f; _slope14=24'hec4; end //387
      8: begin _base14=32'h6b68b; _slope14=24'hec2; end //388
      9: begin _base14=32'h6a7c9; _slope14=24'hec0; end //389
      10: begin _base14=32'h69909; _slope14=24'hebf; end //38a
      11: begin _base14=32'h68a4a; _slope14=24'hebc; end //38b
      12: begin _base14=32'h67b8e; _slope14=24'heba; end //38c
      13: begin _base14=32'h66cd4; _slope14=24'heb9; end //38d
      14: begin _base14=32'h65e1b; _slope14=24'heb6; end //38e
      15: begin _base14=32'h64f65; _slope14=24'heb5; end //38f
      16: begin _base14=32'h640b0; _slope14=24'heb2; end //390
      17: begin _base14=32'h631fe; _slope14=24'heb1; end //391
      18: begin _base14=32'h6234d; _slope14=24'heaf; end //392
      19: begin _base14=32'h6149e; _slope14=24'heac; end //393
      20: begin _base14=32'h605f2; _slope14=24'heab; end //394
      21: begin _base14=32'h5f747; _slope14=24'hea9; end //395
      22: begin _base14=32'h5e89e; _slope14=24'hea7; end //396
      23: begin _base14=32'h5d9f7; _slope14=24'hea5; end //397
      24: begin _base14=32'h5cb52; _slope14=24'hea3; end //398
      25: begin _base14=32'h5bcaf; _slope14=24'hea1; end //399
      26: begin _base14=32'h5ae0e; _slope14=24'hea0; end //39a
      27: begin _base14=32'h59f6e; _slope14=24'he9d; end //39b
      28: begin _base14=32'h590d1; _slope14=24'he9b; end //39c
      29: begin _base14=32'h58236; _slope14=24'he9a; end //39d
      30: begin _base14=32'h5739c; _slope14=24'he98; end //39e
      31: begin _base14=32'h56504; _slope14=24'he95; end //39f
      32: begin _base14=32'h5566f; _slope14=24'he94; end //3a0
      33: begin _base14=32'h547db; _slope14=24'he92; end //3a1
      34: begin _base14=32'h53949; _slope14=24'he90; end //3a2
      35: begin _base14=32'h52ab9; _slope14=24'he8e; end //3a3
      36: begin _base14=32'h51c2b; _slope14=24'he8c; end //3a4
      37: begin _base14=32'h50d9f; _slope14=24'he8a; end //3a5
      38: begin _base14=32'h4ff15; _slope14=24'he88; end //3a6
      39: begin _base14=32'h4f08d; _slope14=24'he87; end //3a7
      40: begin _base14=32'h4e206; _slope14=24'he84; end //3a8
      41: begin _base14=32'h4d382; _slope14=24'he83; end //3a9
      42: begin _base14=32'h4c4ff; _slope14=24'he81; end //3aa
      43: begin _base14=32'h4b67e; _slope14=24'he7f; end //3ab
      44: begin _base14=32'h4a7ff; _slope14=24'he7d; end //3ac
      45: begin _base14=32'h49982; _slope14=24'he7b; end //3ad
      46: begin _base14=32'h48b07; _slope14=24'he79; end //3ae
      47: begin _base14=32'h47c8e; _slope14=24'he77; end //3af
      48: begin _base14=32'h46e17; _slope14=24'he76; end //3b0
      49: begin _base14=32'h45fa1; _slope14=24'he73; end //3b1
      50: begin _base14=32'h4512e; _slope14=24'he72; end //3b2
      51: begin _base14=32'h442bc; _slope14=24'he70; end //3b3
      52: begin _base14=32'h4344c; _slope14=24'he6d; end //3b4
      53: begin _base14=32'h425df; _slope14=24'he6d; end //3b5
      54: begin _base14=32'h41772; _slope14=24'he6a; end //3b6
      55: begin _base14=32'h40908; _slope14=24'he68; end //3b7
      56: begin _base14=32'h3faa0; _slope14=24'he66; end //3b8
      57: begin _base14=32'h3ec3a; _slope14=24'he65; end //3b9
      58: begin _base14=32'h3ddd5; _slope14=24'he63; end //3ba
      59: begin _base14=32'h3cf72; _slope14=24'he61; end //3bb
      60: begin _base14=32'h3c111; _slope14=24'he5f; end //3bc
      61: begin _base14=32'h3b2b2; _slope14=24'he5d; end //3bd
      62: begin _base14=32'h3a455; _slope14=24'he5b; end //3be
      63: begin _base14=32'h395fa; _slope14=24'he59; end //3bf
    endcase
    case(indx[5:0])
      0: begin _base15=32'h387a1; _slope15=24'he58; end //3c0
      1: begin _base15=32'h37949; _slope15=24'he56; end //3c1
      2: begin _base15=32'h36af3; _slope15=24'he54; end //3c2
      3: begin _base15=32'h35c9f; _slope15=24'he52; end //3c3
      4: begin _base15=32'h34e4d; _slope15=24'he50; end //3c4
      5: begin _base15=32'h33ffd; _slope15=24'he4e; end //3c5
      6: begin _base15=32'h331af; _slope15=24'he4d; end //3c6
      7: begin _base15=32'h32362; _slope15=24'he4a; end //3c7
      8: begin _base15=32'h31518; _slope15=24'he49; end //3c8
      9: begin _base15=32'h306cf; _slope15=24'he47; end //3c9
      10: begin _base15=32'h2f888; _slope15=24'he45; end //3ca
      11: begin _base15=32'h2ea43; _slope15=24'he44; end //3cb
      12: begin _base15=32'h2dbff; _slope15=24'he41; end //3cc
      13: begin _base15=32'h2cdbe; _slope15=24'he40; end //3cd
      14: begin _base15=32'h2bf7e; _slope15=24'he3e; end //3ce
      15: begin _base15=32'h2b140; _slope15=24'he3c; end //3cf
      16: begin _base15=32'h2a304; _slope15=24'he3a; end //3d0
      17: begin _base15=32'h294ca; _slope15=24'he39; end //3d1
      18: begin _base15=32'h28691; _slope15=24'he36; end //3d2
      19: begin _base15=32'h2785b; _slope15=24'he35; end //3d3
      20: begin _base15=32'h26a26; _slope15=24'he33; end //3d4
      21: begin _base15=32'h25bf3; _slope15=24'he31; end //3d5
      22: begin _base15=32'h24dc2; _slope15=24'he2f; end //3d6
      23: begin _base15=32'h23f93; _slope15=24'he2e; end //3d7
      24: begin _base15=32'h23165; _slope15=24'he2b; end //3d8
      25: begin _base15=32'h2233a; _slope15=24'he2a; end //3d9
      26: begin _base15=32'h21510; _slope15=24'he28; end //3da
      27: begin _base15=32'h206e8; _slope15=24'he27; end //3db
      28: begin _base15=32'h1f8c1; _slope15=24'he24; end //3dc
      29: begin _base15=32'h1ea9d; _slope15=24'he23; end //3dd
      30: begin _base15=32'h1dc7a; _slope15=24'he21; end //3de
      31: begin _base15=32'h1ce59; _slope15=24'he1f; end //3df
      32: begin _base15=32'h1c03a; _slope15=24'he1d; end //3e0
      33: begin _base15=32'h1b21d; _slope15=24'he1c; end //3e1
      34: begin _base15=32'h1a401; _slope15=24'he1a; end //3e2
      35: begin _base15=32'h195e7; _slope15=24'he18; end //3e3
      36: begin _base15=32'h187cf; _slope15=24'he16; end //3e4
      37: begin _base15=32'h179b9; _slope15=24'he14; end //3e5
      38: begin _base15=32'h16ba5; _slope15=24'he13; end //3e6
      39: begin _base15=32'h15d92; _slope15=24'he10; end //3e7
      40: begin _base15=32'h14f82; _slope15=24'he10; end //3e8
      41: begin _base15=32'h14172; _slope15=24'he0d; end //3e9
      42: begin _base15=32'h13365; _slope15=24'he0b; end //3ea
      43: begin _base15=32'h1255a; _slope15=24'he0a; end //3eb
      44: begin _base15=32'h11750; _slope15=24'he08; end //3ec
      45: begin _base15=32'h10948; _slope15=24'he06; end //3ed
      46: begin _base15=32'hfb42; _slope15=24'he04; end //3ee
      47: begin _base15=32'hed3e; _slope15=24'he03; end //3ef
      48: begin _base15=32'hdf3b; _slope15=24'he01; end //3f0
      49: begin _base15=32'hd13a; _slope15=24'hdff; end //3f1
      50: begin _base15=32'hc33b; _slope15=24'hdfd; end //3f2
      51: begin _base15=32'hb53e; _slope15=24'hdfc; end //3f3
      52: begin _base15=32'ha742; _slope15=24'hdfa; end //3f4
      53: begin _base15=32'h9948; _slope15=24'hdf8; end //3f5
      54: begin _base15=32'h8b50; _slope15=24'hdf6; end //3f6
      55: begin _base15=32'h7d5a; _slope15=24'hdf5; end //3f7
      56: begin _base15=32'h6f65; _slope15=24'hdf3; end //3f8
      57: begin _base15=32'h6172; _slope15=24'hdf1; end //3f9
      58: begin _base15=32'h5381; _slope15=24'hdef; end //3fa
      59: begin _base15=32'h4592; _slope15=24'hdee; end //3fb
      60: begin _base15=32'h37a4; _slope15=24'hdeb; end //3fc
      61: begin _base15=32'h29b9; _slope15=24'hdeb; end //3fd
      62: begin _base15=32'h1bce; _slope15=24'hde8; end //3fe
      63: begin _base15=32'hde6; _slope15=24'hde6; end //3ff
    endcase
    case(indx[9:6])
      0: begin _base=_base0; _slope=_slope0; end
      1: begin _base=_base1; _slope=_slope1; end
      2: begin _base=_base2; _slope=_slope2; end
      3: begin _base=_base3; _slope=_slope3; end
      4: begin _base=_base4; _slope=_slope4; end
      5: begin _base=_base5; _slope=_slope5; end
      6: begin _base=_base6; _slope=_slope6; end
      7: begin _base=_base7; _slope=_slope7; end
      8: begin _base=_base8; _slope=_slope8; end
      9: begin _base=_base9; _slope=_slope9; end
      10: begin _base=_base10; _slope=_slope10; end
      11: begin _base=_base11; _slope=_slope11; end
      12: begin _base=_base12; _slope=_slope12; end
      13: begin _base=_base13; _slope=_slope13; end
      14: begin _base=_base14; _slope=_slope14; end
      15: begin _base=_base15; _slope=_slope15; end
    endcase
    if(indx[10]==0) begin
      _base=32'hffff_ffff;
      _slope=24'hff_ffff;
    end
end
endmodule
